Altibase.jdbc.driver.sharding.strategy

## Interface ShardingStrategy

All Known Implementing Classes:
  CompositeShardingStrategy, StandardShardingStrategy

    public interface ShardingStrategy

### Method Summary

All Methods Instance Methods Abstract Methods
`java.util.List<DataNode>` `doSharding(java.util.List<java.lang.Comparable<?>> aValue)`

### Method Detail

#### doSharding

    java.util.List<DataNode> doSharding(java.util.List<java.lang.Comparable<?>> aValue)
                                 throws java.sql.SQLException

Throws:
  `java.sql.SQLException`